Subject: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Drew Adams <[email-masked]>
Date: Mon, 20 Apr 2015 18:30:46 -0700 (PDT)

> >   Indent each line via ‘indent-according-to-mode’.
> 
> Yes, I like the way it looks and the way it's even less ambiguous than
> `...'.  So I think it's the *right* solution.   But I've resisted going
> this way so far because of the difficulty to type those things.  IOW,
> I think we need some clever way to type them in with very little effort.

Typing them is one problem, for sure.  Then there is the problem
of using them in Lisp (and other programming language) code.

Will Emacs Lisp start using ‘ the same way it uses `, and ’ the same
way it uses '?  If not, then some of the ` marks in the manual will
change to ‘ and some not, etc.  It's doable, but you would do well
to imagine the repercussions for users before going down that road.

And that's only once you've solved the "clever way to type them"
question.

I'd suggest not worrying about this problem now - it will be there
when you're done fixing other things. ;-)  Things like making it
possible in Isearch to handle certain groups of chars (‘ and `,
for instance) as equivalence classes.  That is a harder nut to
crack, but also one that is genuinely worthwhile cracking.

(And no, that is not related to `...' -> ‘...’.  Just mentioning
it as something more important to fix, with a bigger payoff.)